
Python GMN - Bug #7291

pypi distribution does not have all files

2015-08-11 17:47 - Mark Flynn

Status: New Start date: 2015-08-11

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

The GMN version created for the bug fix for problem with process replication queue was deployed to pypi.  However, only a few of

the were included in the pypi distribution.  1.2.2 is the last version that Roger deployed, 1.2.5.x is the bug fix version.

name: dataone.generic_member_node-1.2.2.tar.gz (md5)    Source      date:2014-11-01 size:6MB

name: dataone.generic_member_node-1.2.5.3.tar.gz (md5)  Source      date:2015-07-24 size:2KB

Strangely, the v2 distribution worked without any problems.  It contains all of the files that it's supposed to have.  

I tried modifying setup.py:

if 'install' in sys.argv:

packages = setuptools.find_packages()

else:

packages = None

I removed the if statement so that it always calls setuptools.find_packages().  This allowed more files to be included, but still not all of

them, such as the templates, static and js folders.  

History

#1 - 2016-04-14 14:21 - Mark Servilla

- Assignee changed from Mark Flynn to Roger Dahl

#2 - 2016-04-14 14:57 - Mark Servilla

- Priority changed from High to Normal
